## Apache Zeta Components Manual :: Docs For Class ezcImageColorspaceFilters

### ImageConversion::ezcImageColorspaceFilters

### Interface ezcImageColorspaceFilters

This interface has to implemented by ezcImageFilters classes to support colorspace filters.

Source for this file: /ImageConversion/src/interfaces/colorspace.php

Version: | //autogentag//

### Constants

`COLORSPACE_GREY = 1` | Grey color space.
`COLORSPACE_MONOCHROME = 3` | Monochrome color space.
`COLORSPACE_SEPIA = 2` | Sepia color space.

### Method Summary

public void | `colorspace( $space )` Colorspace filter.

### Methods

#### colorspace

void colorspace( int $space )

Colorspace filter.

Transform the colorspace of the picture. The following colorspaces are supported:

- self::COLORSPACE_GREY - 255 grey colors
- self::COLORSPACE_SEPIA - Sepia colors
- self::COLORSPACE_MONOCHROME - 2 colors black and white

##### Parameters:

Name | Type | Description
--- | --- | ---
`$space` | int | Colorspace, one of self::COLORSPACE_* constants.

##### Exceptions:

Type | Description
--- | ---
`ezcImageInvalidReferenceException` | If no valid resource for the active reference could be found.
`ezcImageFilterFailedException` | If the parameter submitted as the colorspace was not within the self::COLORSPACE_* constants If the operation performed by the the filter failed.
`ezcBaseValueException` | If a submitted parameter was out of range or type.

Documentation generated by phpDocumentor 1.4.3